Subject: Re: bug#23705: 25.0.94; Upper-case abbrev expansion doesn't work with subword-mode enabled

From: Arash <[email-masked]>
Date: Wed, 06 Jul 2016 12:31:09 +0430

> My comment is that if the OP's reaction "I'll just stop using
> subword-mode then" is a common one, then the changes to make
> subword-mode more pervasive are problematic.

By his explanation I thaught the two modes are incompatible so I gave
up! (actually I didn't think that, I just didn't want to be mean lol)

So, My situation:
I'm using mixed case abbrevs in a abbrev/tempo setup, for example (with
^ being the cursor)

"8g" expands:
struct ^

"8G" expands:
struct ^ {
    ^
};
(I have tons of these! and I'm used to them and I love 'em)

and subword-mode might have been a little help in camelCase/PascalCase
codes.

Anyway! I reported the bug/incompatiblity, so now you know!
Hope it gets fixed before 25 (if it's a bug).